import matplotlib.pyplot as plt
import numpy as np

x = np.arange(0, 11, 1)
y1 = np.array([(-0.2) * i ** 2 + 2 * i for i in x])
y2 = np.array([(-0.4) * i ** 2 + 4 * i for i in x])
y3 = np.array([2 * i for i in x])
labels = ['y1', 'y2', 'y3']
fig, ax = plt.subplots()
ax.stackplot(x, y1, y2, y3, labels=labels)
ax.legend(loc='upper left')

plt.show()
